## plasma-desktop 6.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-desktop)

set(PROJECT_VERSION "6.5.5")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)

set(PROJECT_DEP_VERSION "6.5.5")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(ACCOUNTSQT_DEP_VERSION "1.13")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
set(INSTALL_SDDM_THEME TRUE)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMFindQmlModule)
include(ECMGenerateExportHeader)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(CheckIncludeFiles)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQmlModule)
include(ECMConfiguredInstall)

option(BUILD_DOC "Whether to build the documentation" ON)
option(BUILD_KCM_MOUSE_KWIN_WAYLAND "Build the Mouse KCM's KWin+Wayland backend" ON)
option(BUILD_KCM_MOUSE_X11 "Build the Mouse KCM's X11 backend" ON)
option(BUILD_KCM_TOUCHPAD_KWIN_WAYLAND "Build the Touchpad KCM's KWin+Wayland backend" ON)
option(BUILD_KCM_TOUCHPAD_X11 "Build the Touchpad KCM's X11 backend" ON)
option(BUILD_KCM_TABLET "Build the Tablet KCM" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    Svg
    Concurrent
    Core5Compat
    ShaderTools
    Sql # kcms/activities
)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if(BUILD_KCM_TABLET)
    find_package(Qt6WaylandClient ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Crash
    Config
    I18n
    KCMUtils
    NewStuff
    KIO
    Notifications
    NotifyConfig
    Attica
    Runner
    GlobalAccel
    CoreAddons # KSharedDataCache required by KImageCache, KStringHandler required by FolderModel
    GuiAddons # KImageCache
    DBusAddons
    Config
    WidgetsAddons
    Codecs
    Sonnet
    Package
    IconThemes
    XmlGui
    Svg
)

find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivitiesStats ${PROJECT_DEP_VERSION} REQUIRED)

if(BUILD_TESTING)
    find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)
    include(ECMAddTests)
endif()

if(BUILD_DOC)
    find_package(KF6DocTools ${KF6_MIN_VERSION})
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED
    )
endif()

find_package(AccountsQt6 ${ACCOUNTSQT_DEP_VERSION} CONFIG)
set_package_properties(AccountsQt6 PROPERTIES
    DESCRIPTION "Accounts management library for Qt applications"
    URL "https://gitlab.com/accounts-sso/libaccounts-qt"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)

find_package(KAccounts6 20.04)
set_package_properties(KAccounts6 PROPERTIES
    DESCRIPTION "Accounts management library for KDE applications"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)


find_package(PkgConfig REQUIRED)
pkg_check_modules(SignOnOAuth2 IMPORTED_TARGET signon-oauth2plugin)
set_package_properties(signon-oauth2plugin PROPERTIES
    DESCRIPTION "Plugin for SignOnQt6 which handles OAuth and OAuth2 logins"
    URL "https://gitlab.com/accounts-sso/signon-plugin-oauth2"
    PURPOSE "Required for running the OpenDesktop integration plugin"
    TYPE RUNTIME
)

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)


find_package(KF6KirigamiAddons 1.0.0 CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for Kickoff"
    TYPE RUNTIME
)

find_package(KF6QQC2DesktopStyle ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6QQC2DesktopStyle PROPERTIES
    DESCRIPTION "QtQuickControls 2 style that uses QWidget's QStyle for painting"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

if(BUILD_KCM_TABLET)
    find_package(WaylandProtocols 1.44)
    set_package_properties(WaylandProtocols PROPERTIES
        TYPE REQUIRED
        PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
        URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
    )
    find_package(Wayland 1.2)
    set_package_properties(Wayland PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required for building Tablet input KCM"
    )
    pkg_check_modules(LIBWACOM libwacom REQUIRED IMPORTED_TARGET)
endif()

find_package(SDL2 2.0.16)
set_package_properties(SDL2 PROPERTIES
        TYPE OPTIONAL
        PURPOSE "Required for building Game Controller KCM"
)

find_package(LibKLookAndFeel ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LibKWorkspace ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LibNotificationManager ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF6ItemModels CONFIG REQUIRED)
find_package(KSysGuard CONFIG REQUIRED)
find_package(KF6KDED CONFIG REQUIRED)

find_package(KF6Baloo ${KF6_MIN_VERSION})
set_package_properties(KF6Baloo PROPERTIES
    DESCRIPTION "File Searching"
    PURPOSE "Needed to build the File Search KCM"
    TYPE RECOMMENDED
)

find_package(X11)
set_package_properties(X11 PROPERTIES
    DESCRIPTION "X11 libraries"
    URL "https://www.x.org"
    PURPOSE "Required for building the X11 based workspace"
    TYPE REQUIRED
)

if(X11_FOUND)
  set(HAVE_X11 1)
endif()

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Support audible bell in kaccess"
    TYPE REQUIRED)

find_package(UDev)
set_package_properties(UDev PROPERTIES
    DESCRIPTION "API for enumerating and introspecting local devices (part of systemd)"
    URL "https://www.freedesktop.org/wiki/Software/systemd/"
    PURPOSE "Required for device discovery in keyboard daemon and game controller kcm"
    TYPE OPTIONAL
)

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT ATOM RECORD
)

if (BUILD_KCM_TOUCHPAD_X11)
    find_package(X11_XCB)
    set_package_properties(X11_XCB PROPERTIES
        PURPOSE "Required for touchpad KCM (X11 backend) when option BUILD_KCM_TOUCHPAD_X11=ON"
        TYPE REQUIRED
    )
endif()


set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

pkg_check_modules(XORGLIBINPUT xorg-libinput IMPORTED_TARGET)
pkg_check_modules(XORGSERVER xorg-server IMPORTED_TARGET)
pkg_check_modules(XKBREGISTRY xkbregistry REQUIRED IMPORTED_TARGET)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

if(XORGLIBINPUT_FOUND)
  set(HAVE_XORGLIBINPUT 1)
endif()

include(ConfigureChecks.cmake)

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6 PROPERTIES
    DESCRIPTION "Software Manager integration"
    PURPOSE "Used in the KRunner plugin installer"
    TYPE OPTIONAL
)

if(PackageKitQt6_FOUND)
    set(HAVE_PACKAGEKIT TRUE)
endif()

find_package(GLIB2)
set_package_properties(GLIB2 PROPERTIES
    PURPOSE "Required for building kimpanel"
    TYPE OPTIONAL
)

# For kimpanel
pkg_check_modules(IBUS "ibus-1.0>=1.5.0" IMPORTED_TARGET)
pkg_check_modules(GOBJECT gobject-2.0 IMPORTED_TARGET)
pkg_check_modules(SCIM scim IMPORTED_TARGET)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX PLASMA VERSION_HEADER plasma_version.h)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-build-options.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-build-options.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

if (INSTALL_SDDM_THEME)
    configure_file(sddm-theme/theme.conf.cmake ${CMAKE_CURRENT_BINARY_DIR}/sddm-theme/theme.conf)

# Install the login theme into the SDDM directory
    #NOTE this trailing slash is important to rename the directory
    install(DIRECTORY sddm-theme/
        DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze
        PATTERN "README.txt" EXCLUDE
        PATTERN "components" EXCLUDE
        PATTERN "dummydata" EXCLUDE
        PATTERN "theme.conf.cmake" EXCLUDE
    )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sddm-theme/theme.conf
        DESTINATION ${KDE_INSTALL_FULL_DATADIR}/sddm/themes/breeze
    )
endif()

add_subdirectory(layout-templates)

add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(kcms)
add_subdirectory(knetattach)
if(KAccounts6_FOUND AND AccountsQt6_FOUND)
    add_subdirectory(attica-kde)
endif()
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
add_subdirectory(emojier)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kde-mimeapps.list DESTINATION ${KDE_INSTALL_APPDIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(XdgUserDir)
set_package_properties(XdgUserDir PROPERTIES
    DESCRIPTION "Xdg-user-dir script"
    PURPOSE "Used to translate default paths in KCM desktoppath"
    TYPE RUNTIME
)

find_package(FontNotoColorEmoji)
set_package_properties(FontNotoColorEmoji PROPERTIES
    PURPOSE "Default emoji font, needed to display emojis properly in Emoji Selector"
    URL "https://www.google.com/get/noto/"
    TYPE RUNTIME
)

add_subdirectory(appiumtests)

if(BUILD_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

=== debian/changelog ===
plasma-desktop (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:03:32 +0000

plasma-desktop (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:06:26 +0000

plasma-desktop (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:19:45 +0000

plasma-desktop (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:08:48 +0000

plasma-desktop (4:6.5.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Nov 2025 10:00:06 +0000

plasma-desktop (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:27 +0000

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kded6-dev (>= 6.18.0~),
               kscreenlocker-dev (>= 6.5.5~),
               kwin-dev (>= 4:6.5.5~),
               libaccounts-qt6-dev (>= 1.13~),
               libcanberra-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev (>= 1.5.0~),
               libicu-dev,
               libkf5runner-dev,
               libkf6attica-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6baloo-dev (>= 6.18.0~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6notifyconfig-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6sonnet-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.5.5~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.5.5~),
               libplasma5support-dev (>= 4:6.5.5~),
               libplasmaactivities-dev (>= 6.5.5~),
               libplasmaactivitiesstats-dev (>= 6.5.5~),
               libscim-dev,
               libsdl2-dev (>= 2.0.16~),
               libudev-dev,
               libwayland-dev (>= 1.22~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxft-dev,
               libxkbregistry-dev,
               pkgconf,
               plasma-workspace-dev (>= 4:6.5.5~),
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0+dfsg~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0+dfsg~),
               qt6-shadertools-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               wayland-protocols (>= 1.44~),
               xdg-user-dirs,
               xserver-xorg-dev,
               xserver-xorg-input-libinput-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Rules-Requires-Root: no

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:6.2.90~),
         kactivitymanagerd (>= 6.1.0~),
         kde-cli-tools (>= 4:6.1.0~),
         kded6,
         kio6,
         layer-shell-qt (>= 6.1.0~),
         ocean-sound-theme (>= 6.1.0~),
         oxygen-sounds (>= 4:6.1.0~),
         plasma-desktop-data (= ${source:Version}),
         plasma-desktoptheme,
         plasma-integration (>= 6.1.0~),
         plasma-workspace (>= 4:6.2.90~),
         polkit-kde-agent-1 (>= 4:6.1.0~),
         qml6-module-org-kde-activities,
         qml6-module-org-kde-baloo,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-desktop,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-graphicaleffects,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-tableview,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-pipewire,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         xdg-user-dirs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:6.1.0~),
            breeze-gtk-theme (>= 6.1.0~),
            fonts-hack,
            fonts-noto-cjk,
            fonts-noto-hinted,
            fonts-noto-mono,
            fonts-noto-unhinted,
            ibus-data,
            kde-config-gtk-style (>= 4:6.1.0~),
            kde-config-screenlocker (>= 6.1.0~),
            kde-config-sddm (>= 4:6.1.0~),
            kde-style-oxygen-qt6 (>= 4:6.1.0~),
            kgamma (>= 6.1.0~),
            khelpcenter,
            kinfocenter (>= 4:6.1.0~),
            kio-extras,
            kmenuedit (>= 4:6.1.0~),
            kscreen (>= 4:6.1.0~),
            ksshaskpass (>= 4:6.1.0~),
            kwin-wayland (>= 4:6.1.0~) | kwin (>= 4:6.1.0~),
            kwrited (>= 4:6.1.0~),
            libkf6kcmutils-bin,
            libpam-kwallet5 (>= 6.1.0~),
            plasma-browser-integration (>= 6.1.0~),
            plasma-discover (>= 6.1.0~),
            plasma-disks (>= 6.1.0~),
            plasma-firewall (>= 6.1.0~),
            plasma-nm (>= 4:6.1.0~),
            plasma-pa (>= 4:6.1.0~),
            plasma-systemmonitor (>= 6.1.0~),
            plasma-thunderbolt (>= 6.1.0~),
            plasma-vault (>= 6.1.0~),
            powerdevil (>= 4:6.1.0~),
            systemsettings (>= 4:6.1.0~),
            xdg-desktop-portal-gtk,
            xdg-desktop-portal-kde (>= 6.1.0~),
Suggests: kde-config-flatpak (>= 4:6.1.0~),
Breaks: plasma-workspace (<< 4:6.1.0~), user-manager (<< 4:5.20),
Replaces: plasma-workspace (<< 4:6.1.0~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any, ${misc:Depends},
Breaks: plasma-widgets-addons (<< 4:5.25.70~),
Replaces: plasma-widgets-addons (<< 4:5.25.70~),
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-desktoptheme,
         plasma-workspace,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sddm,
Provides: sddm-theme,
Description: Breeze SDDM theme
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

## plasma-desktop 6.5.5+p24.04+vstable+git20260131.0427

=== debian/changelog ===
plasma-desktop (4:6.5.5+p24.04+vstable+git20260131.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:27:53 +0000

plasma-desktop (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:30:29 +1000

## plasma-desktop 6.5.5+p24.04+vstable+git20260201.0346

=== debian/changelog ===
plasma-desktop (4:6.5.5+p24.04+vstable+git20260201.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 03:46:18 +0000

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev,
               cmake,
               debhelper-compat (= 13),
               kaccounts-integration-dev,
               kf6-attica-dev,
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kded-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kglobalaccel-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kpeople-dev,
               kf6-krunner-dev,
               kf6-ksvg-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-qqc2-desktop-style-dev,
               kscreenlocker,
               kscreenlocker-dev,
               kwin-dev,
               libboost-dev,
               libcanberra-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libksysguard-dev,
               libpackagekitqt6-dev,
               libplasma-dev,
               libpulse-dev,
               libscim-dev,
               libsdl2-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               libxkbregistry-dev,
               openbox,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               plasma-workspace-dev,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               signon-plugin-oauth2-dev,
               signon-plugins-dev,
               xauth,
               xdg-user-dirs,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Git: https://invent.kde.org/neon/kde/plasma-desktop.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-desktop
Maintainer: Neon CI <neon@kde.org>

Package: plasma-desktop
Architecture: any
Priority: optional
Section: kde
X-Neon-MergedPackage: true
Depends: breeze,
         ibus-data,
         kactivitymanagerd,
         kde-cli-tools,
         kf6-baloo,
         kf6-kdeclarative,
         kf6-kded,
         kf6-kio,
         kf6-kirigami2,
         kf6-kwindowsystem,
         kf6-solid,
         kscreenlocker,
         libplasma6,
         oxygen-sounds,
         plasma-activities,
         plasma-integration,
         plasma-thunderbolt,
         plasma-workspace (>= 4:6.3.80),
         plasma5support,
         polkit-kde-agent-1,
         python3:any,
         qml6-module-org-kde-pipewire,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluedevil,
            breeze-gtk-theme,
            kde-config-gtk-style,
            kde-config-screenlocker,
            kde-config-sddm,
            kde-style-oxygen,
            kgamma5,
            khelpcenter,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            kwin-wayland | kwin-x11,
            kwrited,
            libpam-kwallet-common,
            plasma-discover,
            plasma-pa,
            powerdevil,
            systemsettings
Replaces: kde-config-touchpad,
          neon-settings-2 (<< 0.5),
          plasma-desktop-data,
          user-manager
Breaks: kde-workspace (<< 4:6.1.0), neon-settings-2 (<< 0.5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-dev
Architecture: any
Priority: optional
Section: kde
X-Neon-MergedPackage: true
Depends: plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: kde-config-touchpad
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: plasma-desktop-data
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: dummy transitional package
 This is a transitional package which can be removed.

Package: user-manager
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: dummy transitional package
 This is a transitional package which can be removed.

## plasma-desktop 6.5.5+p24.04+vstable+git20260203.0832

=== debian/changelog ===
plasma-desktop (4:6.5.5+p24.04+vstable+git20260203.0832-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:32:58 +0000

## plasma-desktop 6.5.5+p24.04+vunstable+git20260202.0958

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 project(plasma-desktop)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(ACCOUNTSQT_DEP_VERSION "1.13")
 
 set(CMAKE_CXX_STANDARD 20)

=== emojier/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"org.kde.plasma.emojier\")

ecm_add_qml_module(EmojierDeclarativePlugin URI org.kde.plasma.emoji GENERATE_PLUGIN_SOURCE)
target_sources(EmojierDeclarativePlugin PRIVATE
    emojierplugin.cpp
    emojidict.cpp
    emojicategory.cpp
)

ecm_qt_declare_logging_category(EmojierDeclarativePlugin
    HEADER emojier_debug.h
    IDENTIFIER EMOJIER_LOG
    CATEGORY_NAME org.kde.plasma.emojier
)

kconfig_add_kcfg_files(EmojierDeclarativePlugin emojiersettings.kcfgc GENERATE_MOC)

target_link_libraries(EmojierDeclarativePlugin PRIVATE Qt::Qml Qt::Gui KF6::ConfigGui KF6::I18n)

ecm_finalize_qml_module(EmojierDeclarativePlugin)

add_subdirectory(data)
add_subdirectory(app)

=== kcms/gamecontroller/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Joshua Goins <josh@redstrate.com>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN="kcm_gamecontroller")

kcmutils_add_qml_kcm(kcm_gamecontroller INSTALL_NAMESPACE "plasma/kcms/systemsettings")

ecm_qt_declare_logging_category(kcm_gamecontroller
    HEADER
        logging.h
    IDENTIFIER
        KCM_GAMECONTROLLER
    CATEGORY_NAME
        kcm_gamecontroller
    DEFAULT_SEVERITY
        Critical
    DESCRIPTION
        "KCM for game controller"
    EXPORT
        kcm_gamecontroller
)

ecm_qt_install_logging_categories(
    EXPORT kcm_gamecontroller
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

target_sources(kcm_gamecontroller PRIVATE
    devicemodel.cpp
    device.cpp
    axesmodel.cpp
    axesproxymodel.cpp
    buttonmodel.cpp
    hatmodel.cpp
    kcm.cpp
    udevmatcher.cpp
    gamecontrollermoduledata.cpp
)

kconfig_target_kcfg_file(kcm_gamecontroller
    FILE gamecontrolleremulationsettings.kcfg
    CLASS_NAME GameControllerEmulationSettings
    MUTATORS
)

target_link_libraries(kcm_gamecontroller PRIVATE
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::I18n
    Qt6::Quick
    Qt6::QuickWidgets
    SDL2::SDL2
    Qt::DBus
    UDev::UDev
)

=== kcms/touchpad/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_touchpad\")

if (BUILD_KCM_TOUCHPAD_X11)
    if (NOT XORGLIBINPUT_FOUND)
        list(APPEND MISSING_DEPS "xorg-libinput")
    endif()
    if (NOT X11_XCB_FOUND)
        list(APPEND MISSING_DEPS "X11_XCB")
    endif()
    if (NOT X11_Xi_FOUND)
        list(APPEND MISSING_DEPS "X11_Xi")
    endif()
    if (NOT XORGSERVER_FOUND)
        list(APPEND MISSING_DEPS "xorg-server")
    endif()
    if (MISSING_DEPS)
        message(FATAL_ERROR "Missing X11 dependencies for kcm_touchpad: ${MISSING_DEPS}. Install dependencies or set CMake option -DBUILD_KCM_TOUCHPAD_X11=OFF.")
    endif()
endif()

add_subdirectory(icon)

qt_generate_dbus_interface(kded/kded.h org.kde.touchpad.xml)
qt_add_dbus_interfaces(TOUCHPAD_DBUS_SRCS
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
)

add_library(touchpad_common STATIC
    touchpadbackend.cpp
    logging.cpp
    ${TOUCHPAD_DBUS_SRCS}
)
set_property(TARGET touchpad_common PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(touchpad_common
    PUBLIC
    Qt::Core
    KF6::XmlGui
    PRIVATE
    KF6::ConfigCore
    KF6::WindowSystem
    KF6::I18n
)

add_subdirectory(backends)
add_subdirectory(kded)

kcmutils_add_qml_kcm(kcm_touchpad)
target_sources(kcm_touchpad PRIVATE kcm.cpp touchpadmoduledata.cpp)

target_link_libraries(kcm_touchpad
    PRIVATE
    Qt::Core
    Qt::Widgets
    Qt::Quick
    Qt::QuickWidgets
    KF6::CoreAddons
    KF6::I18n
    KF6::KCMUtils
    Plasma::Plasma
    KF6::WindowSystem
    touchpad_common
)

add_custom_command(TARGET kcm_touchpad POST_BUILD
                   COMMAND ${CMAKE_COMMAND} -E create_symlink "../kcms/systemsettings/kcm_touchpad.so" "kcm_touchpad_init.so")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcm_touchpad_init.so DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcminit)

install(FILES org.kde.touchpadshortcuts.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kglobalaccel)

=== debian/changelog ===
plasma-desktop (4:6.5.5+p24.04+vunstable+git20260202.0958-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:58:28 +0000

## plasma-desktop 6.5.5+p24.04+vunstable+git20260203.2308

=== kcms/mouse/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmmouse\")

if (BUILD_KCM_MOUSE_X11)
    if (NOT XORGLIBINPUT_FOUND)
        list(APPEND MISSING_DEPS "xorg-libinput")
    endif()
    if (NOT X11_Xi_FOUND)
        list(APPEND MISSING_DEPS "X11_Xi")
    endif()
    if (NOT X11_Xinput_FOUND)
        list(APPEND MISSING_DEPS "X11_Xinput")
    endif()
    if (MISSING_DEPS)
        message(FATAL_ERROR "Missing X11 dependencies for kcm_mouse: ${MISSING_DEPS}. Install dependencies or set CMake option -DBUILD_KCM_MOUSE_X11=OFF.")
    endif()
endif()

add_subdirectory(misc)

kcmutils_add_qml_kcm(kcm_mouse
    SOURCES
        kcm.cpp
        kcm.h
        inputbackend.cpp
        inputbackend.h
        inputdevice.cpp
        inputdevice.h
        mousemoduledata.cpp
        mousemoduledata.h
)

if (BUILD_KCM_MOUSE_X11)
    target_sources(kcm_mouse PRIVATE
        cursortheme.cpp
        cursortheme.h
    )
endif()

ecm_qt_declare_logging_category(kcm_mouse
    HEADER logging.h
    IDENTIFIER KCM_MOUSE
    CATEGORY_NAME kcm_mouse
    DEFAULT_SEVERITY Critical
    DESCRIPTION "KCM for mouse input"
    EXPORT KCM_MOUSE
)

ecm_qt_install_logging_categories(
    EXPORT KCM_MOUSE
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

if (BUILD_KCM_MOUSE_X11)
    # kapplymousetheme is an X11-only tool, called by startplasma-x11 but not startplasma-wayland
    add_executable(kapplymousetheme
        kapplymousetheme.cpp

        cursortheme.cpp
        cursortheme.h
    )
    target_link_libraries(kapplymousetheme
        KF6::ConfigCore
        KF6::CoreAddons
        KF6::WindowSystem
        Qt::Gui
        Qt::GuiPrivate
        X11::Xcursor
    )
    install(TARGETS kapplymousetheme ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

target_link_libraries(kcm_mouse PRIVATE
    KF6::I18n
    KF6::KCMUtilsQuick
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::WindowSystem
    Qt::QuickWidgets
)

add_subdirectory(backends)

########### install files ###############

add_custom_command(
    TARGET kcm_mouse
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E create_symlink "../kcms/systemsettings/kcm_mouse.so" "kcm_mouse_init.so"
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcm_mouse_init.so DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcminit)

=== debian/changelog ===
plasma-desktop (4:6.5.5+p24.04+vunstable+git20260203.2308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 23:08:45 +0000
